struct platform_nand_chip
Prev | Chapter 9. Structures | Next

## Name

struct platform_nand_chip — chip level device structure

## Synopsis

    struct platform_nand_chip {
      int nr_chips;
      int chip_offset;
      int nr_partitions;
      struct mtd_partition * partitions;
      struct nand_ecclayout * ecclayout;
      int chip_delay;
      unsigned int options;
      const char ** part_probe_types;
      void * priv;
    };

## Members

nr_chips

  max. number of chips to scan for

chip_offset

  chip number offset

nr_partitions

  number of partitions pointed to by partitions (or zero)

partitions

  mtd partition list

ecclayout

  ecc layout info structure

chip_delay

  R/B delay value in us

options

  Option flags, e.g. 16bit buswidth

part_probe_types

  NULL-terminated array of probe types

priv

  hardware controller specific settings

Prev | Up | Next
struct nand_bbt_descr | Home | struct platform_nand_ctrl